
#ifndef SENNA_INDEX_H
#define SENNA_INDEX_H

#include "php.h"

extern PHPAPI zend_class_entry  *ce_Senna_Index;

PHP_MINIT_FUNCTION(senna_index);

typedef struct _senna_index_object {
	zend_object std;  /* extends StdClass(zend_object) */
	sen_index *index;
	
	char *path;
	int path_len;
	
	int key_size;
	int flags;
	int initial_n_segments;
	sen_encoding encoding;
} senna_index_object;

#endif	/* SENNA_INDEX_H */

