
#ifndef SENNA_SNIPPET_H
#define SENNA_SNIPPET_H

#include "php.h"

/* őSnippet: senna/lib/snip.hɂ萔Qlɂ */
#ifndef MAX_SNIP_RESULT_COUNT
#define MAX_SNIP_RESULT_COUNT 16U
#endif

/*
 * Senna-1.1.1ŒǉꂽtOB^OɖhqIRs[B
 * A1.1.1ł́AftHgJnE^ORs[ȂoOB
 * ZOe[Vᔽ̌Ȃ̂ŁÃtO̎gp͋֎~B
 */
#ifndef SEN_SNIP_COPY_TAG
#define SEN_SNIP_COPY_TAG 0x0002
#endif

/*
 * Senna-1.1.2ŒǉꂽtOB^OtΏۃL[[h
 * OɕtXy[X܂߂^OtBÕtOB
 * 
 * ʏ́A^OtΏە̑OɕtXy[X܂߂ă^OtĂ܂B
 * F$snip->addKeyword("senna", "<strong>", "</strong>"); $snip->execute("this is a senna.")ɑ΂
 * tOFuthis is a<strong> senna</strong>.v
 * tOȂFuthis is a <strong>senna</strong>.v
 */
#ifndef SEN_SNIP_SKIP_LEADING_SPACES
#define SEN_SNIP_SKIP_LEADING_SPACES 0x0004
#endif

/* őL[[h: senna/lib/snip.hɂ萔Qlɂ */
#ifndef MAX_SNIP_COND_COUNT
#define MAX_SNIP_COND_COUNT 32U
#endif


/* PHPENT_COMPAT(==2)QlɖBl2ł͂Ȃ-1Ȃ̂Œ */
#define PHP_SENNA_SNIPPET_MAPPING_COMPAT  -1
#define PHP_SENNA_SNIPPET_MAPPING_NONE    NULL

typedef struct _php_senna_snippet_tag_list_t {
	char **str_list;
	unsigned int *len_list;
	unsigned int count;
} php_senna_snippet_tag_list_t;

typedef struct _senna_snippet_object {
	zend_object std;  /* extends StdClass(zend_object) */
	sen_snip *snip;
	
	unsigned int width;
	
	unsigned int keyword_count;
	
	/*
	 * Senna-1.1.1܂ł́AJn^OE^OɖhqIRs[ĂȂB
	 * ̂߁AĂяoێȂĂ͂ȂȂBSEN_SNIP_COPY_TAGtO
	 * default^ORs[ȂoO(Senna-1.1.1)B
	 * ϐ̕ێړIȂ̂ŁÃXg̒goĎg͑z肵ĂȂB
	 */
	zval *tag_list;  /* array of string */
	
	/*
	 * createQuerySnippet()gꍇ͂̕ϐŃ^ÖꗗێB
	 * sen_query_snip()֐A^OXghqIRs[ĂȂ̂ŁA
	 * fXgN^s܂ŕێĂȂ΂ȂȂ
	 * ϐ̕ێړIȂ̂ŁÃXg̒goĎg͑z肵ĂȂB
	 */
	php_senna_snippet_tag_list_t *open_tag_list;
	php_senna_snippet_tag_list_t *close_tag_list;
} senna_snippet_object;

extern PHPAPI zend_class_entry *ce_Senna_Snippet;

PHP_MINIT_FUNCTION(senna_snippet);

#endif /* SENNA_SNIPPET_H */
