--TEST--
Check for senna presence
--SKIPIF--
if (!extension_loaded("senna")) die("skip");
--FILE--
<?php
$index = new Senna_Index('/tmp/sample');
$index->upd('key1', NULL, 'This is a sample.');
$index->upd('key2', NULL, 'This is an another.');
$index->update('key3', 1, NULL, 'php_senna sample');
$index->update('key3', 2, NULL, 'binding');
$index->update('key3', 3, NULL, 'sample code');

$records = $index->query('sample');
foreach ($records as $row) {
    echo $row->getKey(), ' = ', $row->getScore(), "\n";
}

Senna_Index::remove('/tmp/sample');
?>
--EXPECTF--
key3 = %d
key1 = %d