--TEST--
Senna_Records::getIgnoredQueryString() - success test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
testGetIgnoredQueryString();

function testGetIgnoredQueryString() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index);
	
	$records->add('testing for ignored query string part I', 1);
	echo $records->getIgnoredQueryString(), "\n";
	
	$records->add('testing for ignored query string part II', 2);
	echo $records->getIgnoredQueryString(), "\n";
	
	$records->add('testing for ignored query string part III', 100);
	if ($records->getIgnoredQueryString() === '') {
		echo "(empty)\n";
	} else {
		echo $records->getIgnoredQueryString(), "\n";
	}
	
	Senna_Index::remove($path);
	unlink($path);
}
?>
===DONE===
--EXPECT--
for ignored query string part I
ignored query string part II
(empty)
===DONE===