--TEST--
Senna_Records::scoreOf() - invalid arguments test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
testScoreOf_WithNoArguments();
testScoreOf_WithEmptyQuery();

// 1ĤʤInvalidArgumentExceptionꤲ
function testScoreOf_WithNoArguments() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index);

	try {
		$score = $records->scoreOf();
		echo "The expected exception has not been thrown.\n";
	} catch (Exception $expected) {
	}

	Senna_Index::remove($path);
	unlink($path);
}


// 1ξUnexpectedValueExceptionꤲ
function testScoreOf_WithEmptyQuery() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index);

	try {
		$records->scoreOf('');
		echo "The expected exception has not been thrown.\n";
	} catch (Exception $expected) {
	}

	try {
		$records->scoreOf(NULL);
		echo "The expected exception has not been thrown.\n";
	} catch (Exception $expected) {
	}

	Senna_Index::remove($path);
	unlink($path);
}
?>
===DONE===
--EXPECT--
===DONE===
