--TEST--
Senna_Records::setLimit() - invalid arguments test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
testLimit_WithNoArguments();
testLimit_WithNegativeNumber();

// 1ĤʤInvalidArgumentExceptionꤲ
function testLimit_WithNoArguments() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index);

	try {
		$score = $records->setLimit();
		echo "The expected exception has not been thrown.\n";
	} catch (Exception $expected) {
	}

	Senna_Index::remove($path);
	unlink($path);
}


// 1ͤʤUnexpectedValueExceptionꤲ
function testLimit_WithNegativeNumber() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index);

	try {
		$records->setLimit(-1);
		echo "The expected exception has not been thrown.\n";
	} catch (Exception $expected) {
	}

	try {
		$records->setLimit(-1000);
		echo "The expected exception has not been thrown.\n";
	} catch (Exception $expected) {
	}

	Senna_Index::remove($path);
	unlink($path);
}
?>
===DONE===
--EXPECT--
===DONE===
