--TEST--
Senna_Records_Row - setter methods test for exceptions
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
if (interface_exists('ArrayAccess')) {
	testOffsetSet_NotImplemented();
	testOffsetUnset_NotImplemented();
}

// Senna_Records_Row饹ɤ߼ѤʤΤoffsetSet᥽åɤ̤offsetSetƤ֤BadMethodCallExceptionꤲ
function testOffsetSet_NotImplemented() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index);

	$index->upd('key001', NULL, 'test');
	$records->add('test');
	
	foreach ($records as $row) {
		try {
			$row['key'] = 'test';
			echo "The expected exception has not been thorwn.\n";
		} catch (Exception $expected) {
		}
	}
	
	Senna_Index::remove($path);
	unlink($path);
}

// Senna_Records_Row饹ɤ߼ѤʤΤoffsetUnset᥽åɤ̤offsetSetƤ֤BadMethodCallExceptionꤲ
function testOffsetUnset_NotImplemented() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index);

	$index->upd('key001', NULL, 'test');
	$records->add('test');
	
	foreach ($records as $row) {
		try {
			unset($row['key']);
			echo "The expected exception has not been thorwn.\n";
		} catch (Exception $expected) {
		}
	}
	
	Senna_Index::remove($path);
	unlink($path);
}
?>
===DONE===
--EXPECT--
===DONE===