--TEST--
Senna_Records_SubRecords - setter methods test for exceptions
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
if (interface_exists('ArrayAccess')) {
	testOffsetSet_NotImplemented();
	testOffsetUnset_NotImplemented();
}

// Senna_Records_SubRecords饹ɤ߼ѤʤΤoffsetSet᥽åɤ̤offsetSetƤ֤BadMethodCallExceptionꤲ
function testOffsetSet_NotImplemented() {
	$MAX_SUBRECS = 3;
	
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index, Senna_Records::DOCUMENT, Senna_Records::SECTION, $MAX_SUBRECS);

	$index->update('key001', 1, NULL, 'test 1');
	$index->update('key001', 2, NULL, 'test 2');
	$index->update('key001', 3, NULL, 'test 3');
	$index->update('key001', 4, NULL, 'test 4');
	$records->add('test');
	list($row) = $records->slice(0, 1);
	
	$subRecords = $row->getSubRecords();
	try {
		$subRecords[0] = '';
		echo 'The expected exception has not been thorwn in ', __FUNCTION__, "()\n";
	} catch (Exception $expected) {
	}
	
	Senna_Index::remove($path);
	unlink($path);
}

// Senna_Records_SubRecords饹ɤ߼ѤʤΤoffsetUnset᥽åɤ̤offsetSetƤ֤BadMethodCallExceptionꤲ
function testOffsetUnset_NotImplemented() {
	$MAX_SUBRECS = 3;
	
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index, Senna_Records::DOCUMENT, Senna_Records::SECTION, $MAX_SUBRECS);

	$index->update('key001', 1, NULL, 'test 1');
	$index->update('key001', 2, NULL, 'test 2');
	$index->update('key001', 3, NULL, 'test 3');
	$index->update('key001', 4, NULL, 'test 4');
	$records->add('test');
	list($row) = $records->slice(0, 1);
	
	$subRecords = $row->getSubRecords();
	try {
		unset($subRecords[0]);
		echo 'The expected exception has not been thorwn in ', __FUNCTION__, "()\n";
	} catch (Exception $expected) {
	}
	
	Senna_Index::remove($path);
	unlink($path);
}
?>
===DONE===
--EXPECT--
===DONE===