--TEST--
Senna_Snippet::__construct() - invalid arguments test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
testConstructor_WithLessThanThreeArguments();

testConstructor_WithInvalidEncoding();
testConstructor_WithInvalidFlag();
testConstructor_WithNonPositiveWidth();
testConstructor_WithNonPositiveResultCount();

testConstructor_WithInvalidMappingArgument();

// 3̤ǤInvalidArgumentExceptionꤲ
function testConstructor_WithLessThanThreeArguments() {
	try {
		$snip = new Senna_Snippet();
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
	try {
		$snip = new Senna_Snippet(Senna::ENC_DEFAULT);
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
	try {
		$snip = new Senna_Snippet(Senna::ENC_DEFAULT, 0);
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
}

// 1̤бΥ󥳡ɥפξUnexpectedValueExceptionꤲ
function testConstructor_WithInvalidEncoding() {
	try {
		$snip = new Senna_Snippet(-1, 0, 100);
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
}

// 2SEN_SNIP_COPY_TAG(0x0002)ꤷϡUnexpectedValueExceptionꤲ
function testConstructor_WithInvalidFlag() {
	try {
		$snip = new Senna_Snippet(Senna::ENC_DEFAULT, 0x0002, 100);
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
}

// 31̤ꤷϡUnexpectedValueExceptionꤲ
function testConstructor_WithNonPositiveWidth() {
	try {
		$snip = new Senna_Snippet(Senna::ENC_DEFAULT, 0, 0);
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}

	try {
		$snip = new Senna_Snippet(Senna::ENC_DEFAULT, 0, -1);
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
}

// 41̤ꤷϡUnexpectedValueExceptionꤲ
function testConstructor_WithNonPositiveResultCount() {
	try {
		$snip = new Senna_Snippet(Senna::ENC_DEFAULT, 0, 100, 0);
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}

	try {
		$snip = new Senna_Snippet(Senna::ENC_DEFAULT, 0, 100, -1);
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
}

// 7NULLͰʳΥפꤷϡInvalidArgumentExceptionꤲ
function testConstructor_WithInvalidMappingArgument() {
	try {
		$snip = new Senna_Snippet(Senna::ENC_DEFAULT, 0, 100, 1, '', '', array());
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
	
	try {
		$snip = new Senna_Snippet(Senna::ENC_DEFAULT, 0, 100, 1, '', '', new StdClass());
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
}
?>
===DONE===
--EXPECT--
===DONE===
