
#ifndef SENNA_RECORDS_H
#define SENNA_RECORDS_H

#include "php.h"

/*
 * ǥեȤǼ륵֥쥳ɿϥƥȡ32Ȥ롣
 * κǥե32ĤʤΤǡƱ32ˤ
 * 1Ĥʸ1Ĥθ줬1󤺤ĽиʤСƸ1ʬ
 * ֥쥳ɤƤ褦ˤʤ(ס)
 */
#define PHP_SENNA_RECORDS_DEFAULT_MAX_N_SUBRECS 32



typedef struct _senna_records_object {
	zend_object std;  /* extends StdClass(zend_object) */
	
	sen_records *records;
	
	zval *zval_senna_index;
	
	/* getIgnoredQueryString() */
	char *ignored_query_string;
	unsigned int ignored_query_string_len;
	
	unsigned int max_n_subrecords;
	sen_rec_unit record_unit;
	sen_rec_unit sub_record_unit;
	
	/* ̤κ0ʤ̵ */
	int limit;
	
	/* ȿ椫ɤ0:̾, 1:ƥ졼 */
	zend_bool in_iteration;
	/* 쥳ɤȺѤߤɤ0:̤, 1:Ⱥ */
	zend_bool sorted;
} senna_records_object;


extern PHPAPI zend_class_entry *ce_Senna_Records;

/* Senna_Index::query()¹ԤΤǡʲδؿSenna_Records饹˸롣 */
extern senna_records_object *senna_records_constructor(zval *zval_senna_records, zval *zval_senna_index, sen_rec_unit, sen_rec_unit, int TSRMLS_DC);
extern int senna_records_parse_parameters(INTERNAL_FUNCTION_PARAMETERS, const char **, unsigned int *, int *m, sen_encoding * TSRMLS_DC);
extern int senna_records_exec_query(senna_records_object *, const char *, unsigned int, sen_sel_operator, int, sen_encoding TSRMLS_DC);

PHP_MINIT_FUNCTION(senna_records);

#endif	/* SENNA_RECORDS_H */

