--TEST--
Senna_Index::open() - invalid arguments test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
testOpen_WithNoArgument();
testOpen_WithEmptyPath();

// 1ĤʤInvalidArgumentExceptionꤲ
function testOpen_WithNoArgument() {
	echo "### open() expects at least 1 parameter\n";
	try {
		$index = Senna_Index::open();
		echo "The expected exception has not been thrown.\n";
	} catch (Exception $expected) {
		echo "no parameter\n";
	}
}

// 1ξUnexpectedValueExceptionꤲ
function testOpen_WithEmptyPath() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	
	echo "### path is empty\n";
	try {
		$index = Senna_Index::open('');
		echo "The expected exception has not been thrown.\n";
		Senna_Index::remove($path);
	} catch (Exception $expected) {
		echo $expected->getMessage(), "\n";
	}

	unlink($path);
}
?>
--EXPECT--
### open() expects at least 1 parameter
no parameter
### path is empty
Argument #1(path) cannot be empty
