--TEST--
Senna_Index::query() - success test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
testQuery_WithValidArguments();

// ưάͤꤷSenna_Recoreds֥Ȥ뤳Ȥǧ
// upd()᥽å¾Υ᥽åɤϡưƤΤȤߤʤ
function testQuery_WithValidArguments() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path, 0, Senna_Index::NORMALIZE | Senna_Index::NGRAM, 0, Senna::ENC_EUC_JP);
	
	// ץ륯ꡧhttp://qwik.jp/senna/check_install.html
	$index->upd('key1', NULL, 'ϤɤޤɼΤǤ礦');
	$index->upd('key2', NULL, 'apple 󥴡orange ');
	$index->upd('key3', NULL, '勞勞Ƥ衢ĤƤͤΤäƤ');
	$index->upd('key4', NULL, 'Sennaե󥹥ޥ˥奢ɤ');
	$index->upd('key5', NULL, '轵˳Ť줿 GoodDesignPresentation 2005');
	$index->upd('key6', NULL, 'SennaPHPȤǤ');
	$index->upd('key7', NULL, 'SennaΥХǥ󥰤ޤ');

	$records = $index->query('senna');
	echo $records->count(), "\n";
	$records = $index->query('senna Хǥ');
	echo $records->count(), "\n";
	
	$records = $index->query('senna Хǥ', 1);
	echo $records->count(), "\n";
	$records = $index->query('senna Хǥ', Senna_Index::DEFAULT_MAX_N_EXPRS);
	echo $records->count(), "\n";
	
	// Encodingλϲ̣ΤȽޤǾܺ٤ʥƥȤϺʤǤ
	// EUCʸФSenna::ENC_SJISꤷƤƤޤ
	$records = $index->query('senna Хǥ', 3, Senna::ENC_SJIS);
	echo $records->count(), "\n"; // == 1
	
	Senna_Index::remove($path);
	unlink($path);
}
?>
===DONE===
--EXPECTF--
3
1
3
1
%d
===DONE===
