--TEST--
Senna_Index::rename() - invalid arguments test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
testRename_WithNoArguments();
testRename_WithEmptyOldPath();
testRename_WithEmptyNewPath();

// 1ĤʤInvalidArgumentExceptionꤲ
function testRename_WithNoArguments() {
	try {
		$index = Senna_Index::rename();
		echo "The expected exception has not been thrown.\n";
	} catch (Exception $expected) {
	}
}


// 1ξUnexpectedValueExceptionꤲ
function testRename_WithEmptyOldPath() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');

	try {
		Senna_Index::rename('', $path);
		echo "The expected exception has not been thrown.\n";
	} catch (Exception $expected) {
	}
	
	unlink($path);
}

// 2ξUnexpectedValueExceptionꤲ
function testRename_WithEmptyNewPath() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	Senna_Index::create($path);
	
	try {
		Senna_Index::rename($path, '');
		echo "The expected exception has not been thrown.\n";
	} catch (Exception $expected) {
	}
	
	Senna_Index::remove($path);
	unlink($path);
}
?>
===DONE===
--EXPECTF--
===DONE===
