--TEST--
Senna_Index::upd() - success test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
testUpd_AddsNewValue();
testUpd_DeletesOldValue();
testUpd_UpdatesOldToNew();

// oldnewξϲ⤷ʤ
testUpd_WithEmptyOldValueAndEmptyNewValue();

// ʸɲä롣query()᥽åɵڤSenna_Records饹ưΤȤƥƥȤ롣
function testUpd_AddsNewValue() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path, 0, Senna_Index::NORMALIZE | Senna_Index::NGRAM, 0, Senna::ENC_EUC_JP);
	
	echo "### adds\n";

	// ץ륯ꡧhttp://qwik.jp/senna/check_install.html
	$index->upd('key1', NULL, 'ϤɤޤɼΤǤ礦');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	
	$index->upd('key2', NULL, 'apple 󥴡orange ');
	$index->upd('key3', NULL, '勞勞Ƥ衢ĤƤͤΤäƤ');
	$index->upd('key4', NULL, 'Sennaե󥹥ޥ˥奢ɤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	$index
		->upd('key5', NULL, '轵˳Ť줿 GoodDesignPresentation 2005')
		->upd('key6', NULL, 'SennaPHPȤǤ')
		->upd('testkey', NULL, 'SennaΥХǥ󥰤ޤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	Senna_Index::remove($path);
	unlink($path);
}

// ʸ
function testUpd_DeletesOldValue() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path, 0, Senna_Index::NORMALIZE | Senna_Index::NGRAM, 0, Senna::ENC_EUC_JP);
	
	echo "### deletes\n";
	$index->upd('key1', NULL, 'ϤɤޤɼΤǤ礦');
	$index->upd('key2', NULL, 'apple 󥴡orange ');
	$index->upd('key3', NULL, '勞勞Ƥ衢ĤƤͤΤäƤ');
	$index->upd('key4', NULL, 'Sennaե󥹥ޥ˥奢ɤ');
	$index->upd('key5', NULL, '轵˳Ť줿 GoodDesignPresentation 2005');
	$index->upd('key6', NULL, 'SennaPHPȤǤ');
	$index->upd('testkey', NULL, 'SennaΥХǥ󥰤ޤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	
	// Sennaפޤޤʤʸ
	$index->upd('key1', 'ϤɤޤɼΤǤ礦', NULL);
	$index->upd('key2', 'apple 󥴡orange ', NULL);
	$index->upd('key3', '勞勞Ƥ衢ĤƤͤΤäƤ', '');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	
	// Sennaפޤʸ1
	$index
		->upd('key4', 'Sennaե󥹥ޥ˥奢ɤ', '')
		->upd('key5', '轵˳Ť줿 GoodDesignPresentation 2005', NULL);
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	// Sennaס֥Хǥ󥰡פޤʸ1
	$index->upd('testkey', 'SennaΥХǥ󥰤ޤ', NULL);
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	// Sennaפޤʸ1
	$index->upd('key6', 'SennaPHPȤǤ', NULL);
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	Senna_Index::remove($path);
	unlink($path);
}

// ʸ򹹿
function testUpd_UpdatesOldToNew() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path, 0, Senna_Index::NORMALIZE | Senna_Index::NGRAM, 0, Senna::ENC_EUC_JP);
	
	echo "### updates\n";
	$index->upd('key1', NULL, 'ϤɤޤɼΤǤ礦');
	$index->upd('key2', NULL, 'apple 󥴡orange ');
	$index->upd('key3', NULL, '勞勞Ƥ衢ĤƤͤΤäƤ');
	$index->upd('key4', NULL, 'Sennaե󥹥ޥ˥奢ɤ');
	$index->upd('key5', NULL, '轵˳Ť줿 GoodDesignPresentation 2005');
	$index->upd('key6', NULL, 'SennaPHPȤǤ');
	$index->upd('testkey', NULL, 'SennaΥХǥ󥰤ޤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	
	// Sennaפޤޤʤʸ򹹿Sennaޤʸˤ롣sennaפǤθ̤1
	$index->upd('key2', 'apple 󥴡orange ', 'apple 󥴡orange 󥸡senna ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	
	// SennaפޤʸSennaޤޤʤʸˤ롣sennaפǤθ̤1︺
	$index->upd('key4', 'Sennaե󥹥ޥ˥奢ɤ', 'ե󥹥ޥ˥奢ɤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	// SennaפޤʸSennaޤ̤ʸˤ롣sennaפǤθ̤ϷѤʤ
	$index->upd('key6', 'SennaPHPȤǤ', 'PHPSennaȤǤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	// SennaפޤޤʤʸSennaޤޤʤ̤ʸˤ롣sennaפǤθ̤ϷѤʤ
	$index->upd('key3', '勞勞Ƥ衢ĤƤͤΤäƤ', 'ĤƤͤΤäƤ͡勞勞Ƥ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	// Sennaס֥Хǥ󥰡פޤʸ򡢡SennaפΤߴޤʸ˹롣
	// sennaפǤθ̤Ѥʤsenna Хǥ󥰡פǤη̤1︺
	$index->upd('testkey', 'SennaΥХǥ󥰤ޤ', 'SennaΥե󥯥֤ޤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	Senna_Index::remove($path);
	unlink($path);
}

function testUpd_WithEmptyOldValueAndEmptyNewValue() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path, 0, Senna_Index::NORMALIZE | Senna_Index::NGRAM, 0, Senna::ENC_EUC_JP);
	
	try {
		$index->upd('key1', '', '');
		$index->upd('key1', '', NULL);
		$index->upd('key1', NULL, '');
		$index->upd('key1', NULL, NULL);
	} catch (Exception $unexpected) {
		echo $unexpected->getMessage(), "\n";
	}

	Senna_Index::remove($path);
	unlink($path);
}
?>
===DONE===
--EXPECT--
### adds
0,0
1,0
3,1
### deletes
3,1
3,1
2,1
1,0
0,0
### updates
3,1
4,1
3,1
3,1
3,1
3,0
===DONE===
