--TEST--
Senna_Index::update() - success test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
testUpdate_AddsNewValue();
testUpdate_DeletesOldValue();
testUpdate_UpdatesOldToNew();

// oldnewξϲ⤷ʤ
testUpdate_WithEmptyOldValueAndEmptyNewValue();

// ʸɲä롣query()᥽åɵڤSenna_Records饹ưΤȤƥƥȤ롣
function testUpdate_AddsNewValue() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path, 0, Senna_Index::NORMALIZE | Senna_Index::NGRAM, 0, Senna::ENC_EUC_JP);
	
	echo "### adds\n";
	// key1section1ɲä롣senna0
	$index->update('key1', 1, NULL, 'ϤɤޤɼΤǤ礦');
	$index->update('key1', 2, NULL, 'apple 󥴡orange ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	
	// section2ˡSennaפޤޤ롣senna+1
	$index
		->update('key2', 1, NULL, '勞勞Ƥ衢ĤƤͤΤäƤ')
		->update('key2', 2, NULL, 'Sennaե󥹥ޥ˥奢ɤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	// section16Ф7롣senna+1
	$index->update('key3', 7, NULL, 'SennaPHPȤǤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	
	// section12ˡSennaפޤޤ롣ñ̤[ʸ]ʤΤǡsenna+1
	$index->update('testkey', 1, NULL, 'SennaΥХǥ󥰤ޤ');
	$index->update('testkey', 2, NULL, 'SennaΥե󥯥֤ޤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	
	// section12ʬơsenna Хǥ󥰡פޤޤƤƱʸȤƹǤƤ
	$index->update('another', 1, NULL, 'Senna');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	$index->update('another', 2, NULL, 'Хǥ󥰤ޤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	Senna_Index::remove($path);
	unlink($path);
}

// ʸ
function testUpdate_DeletesOldValue() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path, 0, Senna_Index::NORMALIZE | Senna_Index::NGRAM, 0, Senna::ENC_EUC_JP);
	
	echo "### deletes\n";
	$index->update('key1', 1, NULL, 'ϤɤޤɼΤǤ礦');
	$index->update('key1', 2, NULL, 'apple 󥴡orange ');
	$index->update('key2', 1, NULL, '勞勞Ƥ衢ĤƤͤΤäƤ');
	$index->update('key2', 2, NULL, 'Sennaե󥹥ޥ˥奢ɤ');
	$index->update('key3', 7, NULL, 'SennaPHPȤǤ');
	$index->update('testkey', 1, NULL, 'SennaΥХǥ󥰤ޤ');
	$index->update('testkey', 2, NULL, 'SennaΥե󥯥֤ޤ');
	$index->update('another', 1, NULL, 'Senna');
	$index->update('another', 2, NULL, 'Хǥ󥰤ޤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	
	// Sennaפޤޤʤʸ
	$index->update('key1', 1, 'ϤɤޤɼΤǤ礦', NULL);
	$index->update('key1', 2, 'apple 󥴡orange ', NULL);
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	
	// Sennaפޤʸ2
	$index
		->update('key2', 1, '勞勞Ƥ衢ĤƤͤΤäƤ', '')
		->update('key2', 2, 'Sennaե󥹥ޥ˥奢ɤ', '')
		->update('key3', 7, 'SennaPHPȤǤ', NULL);
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	// Sennaס֥Хǥ󥰡פޤʸ1
	$index->update('testkey', 1, 'SennaΥХǥ󥰤ޤ', NULL);
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	// Sennaפޤʸ1Senna Хǥ󥰡פǤ⸡ФǤʤʤ롣
	$index->update('another', 1, 'Senna', NULL);
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	Senna_Index::remove($path);
	unlink($path);
}

// ʸ򹹿
function testUpdate_UpdatesOldToNew() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path, 0, Senna_Index::NORMALIZE | Senna_Index::NGRAM, 0, Senna::ENC_EUC_JP);
	
	echo "### updates\n";
	$index->update('key1', 1, NULL, 'ϤɤޤɼΤǤ礦');
	$index->update('key1', 2, NULL, 'apple 󥴡orange ');
	$index->update('key2', 1, NULL, '勞勞Ƥ衢ĤƤͤΤäƤ');
	$index->update('key2', 2, NULL, 'Sennaե󥹥ޥ˥奢ɤ');
	$index->update('key3', 7, NULL, 'SennaPHPȤǤ');
	$index->update('testkey', 1, NULL, 'SennaΥХǥ󥰤ޤ');
	$index->update('testkey', 2, NULL, 'SennaΥե󥯥֤ޤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	
	// Sennaפޤޤʤʸ򹹿Sennaޤʸˤ롣sennaפǤθ̤1
	$index->update('key1', 2, 'apple 󥴡orange ', 'apple 󥴡orange 󥸡senna ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";
	
	// SennaפޤʸSennaޤޤʤʸˤ롣sennaפǤθ̤1︺
	$index->update('key2', 2, 'Sennaե󥹥ޥ˥奢ɤ', 'ե󥹥ޥ˥奢ɤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	// SennaפޤʸSennaޤ̤ʸˤ롣sennaפǤθ̤ϷѤʤ
	$index->update('key3', 7, 'SennaPHPȤǤ', 'PHPSennaȤǤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	// SennaפޤޤʤʸSennaޤޤʤ̤ʸˤ롣sennaפǤθ̤ϷѤʤ
	$index->update('key2', 1, '勞勞Ƥ衢ĤƤͤΤäƤ', 'ĤƤͤΤäƤ͡勞勞Ƥ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	// Sennaס֥Хǥ󥰡פޤʸ򡢡SennaפΤߴޤʸ˹롣
	// sennaפǤθ̤Ѥʤsenna Хǥ󥰡פǤη̤1︺
	$index->update('testkey', 1, 'SennaΥХǥ󥰤ޤ', 'Sennabindingޤ');
	echo $index->query('senna')->count(), ',', $index->query('senna Хǥ')->count(), "\n";

	Senna_Index::remove($path);
	unlink($path);
}

function testUpdate_WithEmptyOldValueAndEmptyNewValue() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path, 0, Senna_Index::NORMALIZE | Senna_Index::NGRAM, 0, Senna::ENC_EUC_JP);
	
	try {
		$index->update('key1', 1, '', '');
		$index->update('key1', 1, '', NULL);
		$index->update('key1', 1, NULL, '');
		$index->update('key1', 1, NULL, NULL);
	} catch (Exception $unexpected) {
		echo $unexpected->getMessage(), "\n";
	}

	Senna_Index::remove($path);
	unlink($path);
}
?>
===DONE===
--EXPECT--
### adds
0,0
1,0
2,0
3,1
4,1
4,2
### deletes
4,2
4,2
2,2
2,1
1,0
### updates
3,1
4,1
3,1
3,1
3,1
3,0
===DONE===
