--TEST--
Senna_Records::count() - success test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
testCount_MethodCallStyle1();
testCount_MethodCallStyle2();
testCount_FunctionCallStyle();  // SPLͭʾ硢Countable󥿡եƤ

// ʸñ̤Ǥθ
function testCount_MethodCallStyle1() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index);
	echo "### method call style 1\n";
	echo $records->count(), "\n";
	
	$index->upd('key001', NULL, 'test 1');
	$index->upd('key002', NULL, 'test 2');
	$index->upd('key003', NULL, 'test 3');
	echo $records->add('test')->count(), "\n";
	
	$index->upd('key004', NULL, 'test 4');
	$index->upd('key005', NULL, 'test 5');
	echo $records->add('test')->count(), "\n";
	
	// Ʊʸ̥ɲ
	$index->update('key010', 1, NULL, 'test a');
	$index->update('key010', 2, NULL, 'test b');
	$index->update('key010', 3, NULL, 'test c');
	echo $records->add('test')->count(), "\n";

	$index->update('key011', 7, NULL, 'test d');
	echo $records->add('test')->count(), "\n";
	
	Senna_Index::remove($path);
	unlink($path);
}

// ñ̤Ǥθ
function testCount_MethodCallStyle2() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index, Senna_Records::SECTION);
	echo "### method call style 2\n";
	echo $records->count(), "\n";
	
	$index->upd('key001', NULL, 'test 1');
	$index->upd('key002', NULL, 'test 2');
	$index->upd('key003', NULL, 'test 3');
	echo $records->add('test')->count(), "\n";
	
	$index->upd('key004', NULL, 'test 4');
	$index->upd('key005', NULL, 'test 5');
	echo $records->add('test')->count(), "\n";
	
	// Ʊʸ̥ɲ
	$index->update('key010', 1, NULL, 'test a');
	$index->update('key010', 2, NULL, 'test b');
	$index->update('key010', 3, NULL, 'test c');
	echo $records->add('test')->count(), "\n";

	$index->update('key011', 7, NULL, 'test d');
	echo $records->add('test')->count(), "\n";
	
	Senna_Index::remove($path);
	unlink($path);
}

function testCount_FunctionCallStyle() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index);
	echo "### function call style\n";
	if (interface_exists('Countable')) {
		echo count($records), "\n";
		$index->upd('key001', NULL, 'test 1');
		$index->upd('key002', NULL, 'test 2');
		$index->upd('key003', NULL, 'test 3');
		echo count($records->add('test')), "\n";
	} else {
		// skip
		echo 0, "\n";
		echo 3, "\n";
	}
	
	Senna_Index::remove($path);
	unlink($path);
}

?>
===DONE===
--EXPECT--
### method call style 1
0
3
5
6
7
### method call style 2
0
3
5
8
9
### function call style
0
3
===DONE===