--TEST--
Senna_Records::getLimit() - success test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
testGetLimit_DefaultIsZero();
testGetLimit_ReturnsLimit();

// 쥳ɿΥǥեȾͤ0(̵)
function testGetLimit_DefaultIsZero() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index);
	
	try {
		echo $records->getLimit(), "\n";
	} catch (Exception $unexpected) {
		echo "failure: unexpected exception has been thrown.\n";
		echo $unexpected->getMessage(), "\n";
	}
	
	Senna_Index::remove($path);
	unlink($path);
}

// setLimit()Ǿ¿ꤷϡ֤ͤ
function testGetLimit_ReturnsLimit() {
	$path = tempnam(sys_get_temp_dir(), 'php_senna-test');
	$index = new Senna_Index($path);
	$records = new Senna_Records($index);
	$records->setLimit(300);  // 300
	
	try {
		echo $records->getLimit(), "\n";
	} catch (Exception $unexpected) {
		echo "failure: unexpected exception has been thrown.\n";
		echo $unexpected->getMessage(), "\n";
	}
	
	Senna_Index::remove($path);
	unlink($path);
}
?>
===DONE===
--EXPECT--
0
300
===DONE===