--TEST--
Senna_Snippet::addKeyword() - invalid method call test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
// invalid arguments
testAddKeyword_WithNoArguments();
testAddKeyword_WithEmptyKeyword();

testAddKeyword_KeywordIsOutOfWidth();

// illegal object state
testAddKeyword_ExceededMaxKeywordCount();

// 1ĤꤵƤʤСInvalidArgumentExceptionꤲ
function testAddKeyword_WithNoArguments() {
	$snip = new Senna_Snippet(Senna::ENC_EUC_JP, Senna_Snippet::NORMALIZE, 100, 1, '<b>', '</b>');
	
	try {
		$snip->addKeyword();
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
}

// ɤʸʤ顢UnexpectedValueExceptionꤲ
function testAddKeyword_WithEmptyKeyword() {
	$snip = new Senna_Snippet(Senna::ENC_EUC_JP, Senna_Snippet::NORMALIZE, 100, 1, '<b>', '</b>');
	
	try {
		$snip->addKeyword('');
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}

	try {
		$snip->addKeyword(NULL);
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
}

// ɤʸ󥹥ȥ饯ǻꤷwidthĶƤʤ顢UnexpectedValueExceptionꤲ
function testAddKeyword_KeywordIsOutOfWidth() {
	$snip = new Senna_Snippet(Senna::ENC_EUC_JP, Senna_Snippet::NORMALIZE, 5, 1, '<b>', '</b>');
	
	try {
		// width == 5Фơ6ʸΥɤɲä褦Ȥ
		$snip->addKeyword('123456');
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
}

// Senna_Snippet::MAX_KEYWORD_COUNTĤĶΥɤɲä褦ȤȡBadMethodCallExceptionꤲ
function testAddKeyword_ExceededMaxKeywordCount() {
	$snip = new Senna_Snippet(Senna::ENC_EUC_JP, Senna_Snippet::NORMALIZE, 100, 1, '<b>', '</b>');
	for ($i = 0; $i < Senna_Snippet::MAX_KEYWORD_COUNT; $i++) {
		$snip->addKeyword('padding' . $i);
	}
	
	try {
		$snip->addKeyword('over');
		echo "The expected exception has not been thrown in ", __FUNCTION__, "\n";
	} catch (Exception $expected) {
	}
}
?>
===DONE===
--EXPECT--
===DONE===
