--TEST--
Senna_Snippet::getKeywordCount() - success test
--SKIPIF--
<?php extension_loaded("senna") or die("skip"); ?>
--FILE--
<?php
testGetKeywordCount_DefaultIsZero();
testGetKeywordCount_ReturnsKeywordCount();

// 쥳ɿΥǥեȾͤ0(̵)
function testGetKeywordCount_DefaultIsZero() {
	echo "### default\n";
	$snip = new Senna_Snippet(Senna::ENC_EUC_JP, Senna_Snippet::NORMALIZE, 100, 1, '<b>', '</b>');
	
	try {
		echo $snip->getKeywordCount(), "\n";
	} catch (Exception $unexpected) {
		echo "failure: unexpected exception has been thrown.\n";
		echo $unexpected->getMessage(), "\n";
	}
}

// addKeyword()ǥɤɲäʬΥɿ֤
function testGetKeywordCount_ReturnsKeywordCount() {
	echo "### keyword count\n";
	$snip = new Senna_Snippet(Senna::ENC_EUC_JP, Senna_Snippet::NORMALIZE, 100, 1, '<b>', '</b>');
	
	$snip->addKeyword('test');
	$snip->addKeyword('another');
	$snip->addKeyword('senna');
	
	try {
		echo $snip->getKeywordCount(), "\n";
	} catch (Exception $unexpected) {
		echo "failure: unexpected exception has been thrown.\n";
		echo $unexpected->getMessage(), "\n";
	}

	$snip->addKeyword('senna');
	echo $snip->getKeywordCount(), "\n";
}
?>
===DONE===
--EXPECT--
### default
0
### keyword count
3
4
===DONE===